cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <>
Subject [jira] [Commented] (CB-9770) pickContact crashes when linked contact selected
Date Tue, 24 Nov 2015 13:46:11 GMT


ASF GitHub Bot commented on CB-9770:

GitHub user vladimir-kotikov opened a pull request:

    CB-9770 Request user permissions before picking a contact

    This fixes [CB-9770]( by requesting address
book permissions before picker is shown for the first time.
    This PR should also fix [CB-7838](, where
`id ==  -1` for any contact in address book is also caused by missing permissions.

You can merge this pull request into a Git repository by running:

    $ git pull CB-9770

Alternatively you can review and apply these changes as the patch at:

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #86
commit 617fb764bf1c7047cfe02cf346771dd7fa38ed40
Author: Vladimir Kotikov <>
Date:   2015-11-24T12:46:25Z

    CB-9770 Request user permissions before picking a contact


> pickContact crashes when linked contact selected
> ------------------------------------------------
>                 Key: CB-9770
>                 URL:
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Plugin Contacts
>    Affects Versions: 2.0.0
>         Environment: ios 9.0.2, Cordova 5.3.3
>            Reporter: Mike Hedman
>              Labels: ios, reproduced, triaged
> Picking contacts works for many contacts, but for certain contacts it crashes every time
with the following error:
> Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason:
'A contact and its snapshot should both be non-unified.'
> My guess is that this is due to the problem contacts being "linked".  This article suggests
that is the cause:
> Just a note, when I enter:  "cordova -v" it tells me I have 5.3.3, but that option was
not available in the "Affects Version" field, so I just selected 5.3.2.
> I installed cordova-plugin-contacts today, so it's the latest.

This message was sent by Atlassian JIRA

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message